## docdiff 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,26 @@
 PACKAGE = docdiff
-VERSION = 0.3.2
+VERSION = 0.3.3
 # DATE = `date +%Y%m%d`
 DIST = ChangeLog Makefile devutil docdiff docdiff.conf.example docdiff.rb \
-       readme.html readme.en.html readme.ja.html sample \
+       docdiffwebui.html docdiffwebui.cgi \
+       index.html img readme.html readme.en.html readme.ja.html sample \
        testcharstring.rb testdiff.rb testdifference.rb testdocdiff.rb testdocument.rb testview.rb
 # PWDBASE = `pwd | sed "s|^.*[/\\]||"`
 
-test:
-	ruby testcharstring.rb && \
-	ruby testdocument.rb && \
-	ruby testdiff.rb && \
-	ruby testdifference.rb && \
-	ruby testview.rb && \
+test: testdocdiff testcharstring testdocument testdiff testdifference testview
+
+testdocdiff:
 	ruby testdocdiff.rb
+testcharstring:
+	ruby testcharstring.rb
+testdocument:
+	ruby testdocument.rb
+testdiff:
+	ruby testdiff.rb
+testdifference:
+	ruby testdifference.rb
+testview:
+	ruby testview.rb
 
 ChangeLog:
 	svn log -rHEAD:0 -v > ChangeLog
@@ -37,4 +45,6 @@
 	rm -f ChangeLog
 	rm -f readme.en.html
 	rm -f readme.ja.html
+
+distclean: clean
 	rm -f $(PACKAGE)-$(VERSION).tar.gz
