=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAKE_CLEAN_TARGET = 
DEB_MAKE_BUILD_TARGET =
DEB_MAKE_INSTALL_TARGET =
RUBY := ruby1.9.1
RLIBDIR := /usr/lib/ruby/vendor_ruby

clean::
	-rm -f docdiff.1

build/docdiff::
	/usr/bin/docbook-to-man debian/manpage.sgml > docdiff.1

install/docdiff::
	install -o root -g root -d $(DEB_DESTDIR)$(RLIBDIR)
	tar cf - docdiff | ( cd $(DEB_DESTDIR)$(RLIBDIR) && tar xvf -)
	install -o root -g root -m 0755 docdiff.rb $(DEB_DESTDIR)/usr/bin/docdiff
	install -o root -g root -m 0644 docdiff.conf.example $(DEB_DESTDIR)/etc/docdiff/docdiff.conf
	install -o root -g root -m 0644 docdiff.1 $(DEB_DESTDIR)/usr/share/man/man1
