=== debian/watch ===
version=2
http://www.kt.rim.or.jp/~hisashim/docdiff/docdiff-([0-9].*)\.tar\.gz
