=== debian/changelog ===
docdiff (0.5.0-1) unstable; urgency=low

  * New upstream release

 -- Kenshi Muto <kmuto@debian.org>  Tue, 07 Oct 2014 20:05:49 +0900
