## docdiff 0.5.0+git20151014

=== debian/changelog ===
docdiff (0.5.0+git20151014-1) unstable; urgency=low

  * New upstream release in GitHub.
    - Removed devutil/JIS0208.TXT to follow its terms of use. (Closes: #801497)
      Thanks Dmitry for finding this.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 13 Oct 2015 09:06:22 +0900
