## docdiff 0.5.0+git20160313

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,5 @@
+# Warning: this Makefile is obsolete, use Rakefile instead
+
 PRODUCT = docdiff
 VERSION = $(shell $(RUBY) -r./lib/docdiff/version.rb -e 'Docdiff::VERSION.display')
 RUBY = ruby
