=== debian/changelog ===
docdiff (0.5.0+git20160313-2) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #918886)
  * Using new DH level format: Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in 
      Build-Depends field and bumped to level 13.
  * debian/control: bumped Standards-Version 4.5.0.

 -- Jose Nicodemos Vitoriano de Oliveira <nicovitoriano@gmail.com>  Sat, 09 May 2020 15:34:08 -0300

docdiff (0.5.0+git20160313-1) unstable; urgency=low

  * New upstream release in GitHub.
    - use Mutex#synchronize instead of Thread.exclusive (Closes: #818043)

 -- Kenshi Muto <kmuto@debian.org>  Sun, 13 Mar 2016 14:36:14 +0900
