=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: docdiff
 Section: text
 Priority: optional
-Maintainer: Kenshi Muto <kmuto@debian.org>
-Build-Depends: debhelper (>= 9), cdbs (>= 0.4.27)
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: ruby, ruby-dev, docbook-to-man
-Standards-Version: 3.9.3
+Standards-Version: 4.5.0
 Homepage: http://sourceforge.net/projects/docdiff
 
 Package: docdiff
