## docdiff 0.6.0

=== debian/changelog ===
docdiff (0.6.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Ran wrap-and-sort.
  * debian/clean: created.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Added Vcs-* fields pointing to Salsa.
      - Update Homepage field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all data.
  * debian/dirs: removed unnecessary directories (created automatically).
  * debian/doc-base: created to list HTML documentation.
  * debian/lintian-overrides: created to suppress lintian about examples
    encoding.
  * debian/manpages: created.
  * debian/rules: simplified.
      - ChangeLog file is installed automatically now.
      - DH_OPTION export isn't needed.
      - Removed clean rule in favor of debian/clean.
      - Removed duplicate directory usr/share/doc/docdiff/sample. Same as
        usr/share/doc/docdiff/example.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/*: created to perform tests.
  * debian/upstream/metadata: created.
  * debian/watch: created.

 -- Carlos Henrique Lima Melara <charlesmelara@outlook.com>  Sat, 24 Oct 2020 17:57:01 -0300
