=== debian/control ===
Source: docdiff
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: docbook-to-man, ruby, ruby-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/docdiff.git
Vcs-Browser: https://salsa.debian.org/debian/docdiff
Homepage: https://github.com/hisashim/docdiff/

Package: docdiff
Architecture: all
Depends: ruby | ruby-interpreter, ${misc:Depends}
Suggests: httpd
Description: Compares two files word by word / char by char
 DocDiff compares two files and shows the difference.  It can compare files
 word by word, char by char, or line by line.
 .
 It has several output formats such as HTML/XHTML, tty, Manued, or
 user-defined markup.  It supports several encodings and end-of-line
 characters, including ASCII, UTF-8, EUC-JP, Shift_JIS, CR, LF, and CRLF.
