=== debian/tests/control ===
Test-Command: docdiff --help
Restrictions: superficial

Test-Command: docdiff --version
Restrictions: superficial

Test-Command: docdiff --license
Restrictions: superficial

Test-Command: docdiff --author
Restrictions: superficial

Tests: wdiff, wdiff-char, wdiff-digest
