=== debian/watch ===
version=4
https://github.com/hisashim/docdiff/releases .*/archive/v?\.?@ANY_VERSION@@ARCHIVE_EXT@
