## docdiff 0.6.1

=== Makefile ===
--- 
+++ 
@@ -30,7 +30,6 @@
 
 testall:
 	$(MAKE) test RUBY=ruby1.9.1
-	$(MAKE) test RUBY=ruby1.8
 
 test: $(TESTLOGS)
