=== debian/changelog ===
docdiff (0.6.1-2) unstable; urgency=medium

  * QA upload.
  * debian/control:
     - Bump Standards-Version to "4.7.2".
     - Remove ruby-interpreter from Depends.
     - Remove Rules-Requires-Root field.
  * debian/copyright: Update packaging copyright information.
  * debian/lintian-overrides: Update to make it compliant with
    new lintian tags.
  * debian/watch: Update to version 5.

 -- Arthur Martins de Oliveira <arthur_mo@hotmail.com>  Mon, 24 Nov 2025 21:02:38 -0300

docdiff (0.6.1-1) unstable; urgency=medium

  * QA upload.
  * d/watch: look for tags instead of releases
  * New upstream version 0.6.1
  * Declare compliance with Debian Policy 4.7.0
  * d/p/0001-Fix-autopkgtest-regression-with-ruby3.3.patch: replace usage of
    3-argument Regexp.new

 -- Lucas Kanashiro <kanashiro@debian.org>  Mon, 27 Jan 2025 06:02:16 -0300

docdiff (0.6.0-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints. + docdiff: Add :any qualifier for ruby dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 17 Oct 2022 11:48:21 +0100
