=== debian/control ===
--- 
+++ 
@@ -4,15 +4,14 @@
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: docbook-to-man, ruby, ruby-dev
-Standards-Version: 4.5.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/docdiff.git
 Vcs-Browser: https://salsa.debian.org/debian/docdiff
 Homepage: https://github.com/hisashim/docdiff/
 
 Package: docdiff
 Architecture: all
-Depends: ruby | ruby-interpreter, ${misc:Depends}
+Depends: ruby:any, ${misc:Depends}
 Suggests: httpd
 Description: Compares two files word by word / char by char
  DocDiff compares two files and shows the difference.  It can compare files
