=== debian/watch ===
Version: 5

Template: Github
Owner: hisashim
Project: docdiff
